#! /usr/bin/env python
# -*- coding: utf-8 -*-
# __author__ = "chenwei"
# Date: 2018/11/17

from utils.base import APIView


class TagListView(APIView):
    def get(self, request):
        pass

    def post(self, request):
        pass


class TagUpdateOrCreateView(APIView):
    def get(self, request):
        pass

    def post(self, request):
        data = {
            'name': request.POST.get('name'),
            'level': request.POST.get('level'),
            'type': request.POST.get('type'),
            'description': request.POST.get('description'),
            'down_tag': list(set(request.POST.get('down_tag', '').split(','))),
            'up_tag': list(set(request.POST.get('up_tag', '').split(','))),
        }
        try:
            self.rpc['venus/community/tag/update_or_create'](data=data).unwrap()
        except Exception as e:
            raise e
        return {
            'message': '操作成功'
        }